﻿using System.Windows;

using System.IO;        // ファイル操作で使用する。
using Microsoft.Win32;  // オープンファイル・ダイアログボックスで使用する。


namespace FileOpenDialog
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void btn0_Click(object sender, RoutedEventArgs e)
        {
            // イベントで行う処理は、直接記述せず、メソッドにまとめて、そのメソッドを呼び出します。
            msd_OpenFileDialogProcess();
        }

        private void msd_OpenFileDialogProcess()
        {
            // ラベルの内容を消去します。
            Label01.Content = "";
            
            // Configure open file dialog box オープンファイル・ダイアログボックスを設定します。
            OpenFileDialog dlg = new Microsoft.Win32.OpenFileDialog();

            dlg.FileName = "Document"; // Default file name 既定のファイル名
            dlg.DefaultExt = ".txt"; // Default file extension 既定のファイル拡張子
            dlg.Filter = "Text documents (.txt)|*.txt";
            // Filter files by extension 拡張機能によってファイルにフィルターをかけます。

            // Show open file dialog box オープンファイル・ダイアログボックスを表示します。
            bool? result = dlg.ShowDialog();

            // Process open file dialog box results オープンファイル・ダイアログボックスの結果を処理します。
            if (result == true)
            {
                // ファイル名を取得します。
                string filename = dlg.FileName;
                // ラベルにファイル名を表示します。
                Label01.Content = filename;
            }

        }
    }
}
